Commit 3f9fbd5f authored by Carlo Landmeter's avatar Carlo Landmeter

main/lua-posix: depend on renamed lua-bit32

parent 69f2a224
......@@ -5,13 +5,13 @@ _luaversions="5.1 5.2 5.3"
pkgname=lua-posix
_name=luaposix
pkgver=33.4.0
pkgrel=0
pkgrel=1
pkgdesc="POSIX library for Lua $_luaver"
url="https://github.com/luaposix/luaposix"
arch="all"
license="MIT"
depends=""
makedepends="perl automake autoconf linux-headers lua-bitlib"
makedepends="perl automake autoconf linux-headers lua-bit32"
subpackages="$pkgname-doc"
for _i in $_luaversions; do
......@@ -63,7 +63,7 @@ _split() {
if [ "$_ver" != "5.2" ]; then
# use versioned dep to work around
# http://bugs.alpinelinux.org/issues/4063
depends="lua$_ver-bitlib<26"
depends="lua$_ver-bit32<26"
fi
for d in usr/lib/lua usr/share/lua; do
if [ -d "$pkgdir"/$d/$_ver ]; then
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment